local line = Shape.new()
stage:addChild(line)

local box = Bitmap.new(Texture.new("box.png"))
box:setAnchorPoint(0.5, 1)
stage:addChild(box)

local x1, y1

local function onMouseDown(event)
	x1 = event.x
	y1 = event.y
end

local function onMouseMove(event)
	local x2 = event.x
	local y2 = event.y

	line:clear()
	line:setLineStyle(1, 0x000000)
	line:beginPath()
	line:moveTo(x1, y1)
	line:lineTo(x2, y2)
	line:endPath()

	box:setPosition((x1 + x2) / 2, (y1 + y2) / 2)
	
	local angle = math.atan2(y2 - y1, x2 - x1)
	box:setRotation(math.deg(angle))
end

local function onMouseUp(event)
	line:clear()
end

stage:addEventListener(Event.MOUSE_DOWN, onMouseDown)
stage:addEventListener(Event.MOUSE_MOVE, onMouseMove)
stage:addEventListener(Event.MOUSE_UP, onMouseUp)
